Bug 192635 - CVE-2006-1857 SCTP HB-ACK chunk overflow
CVE-2006-1857 SCTP HB-ACK chunk overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
impact=moderate,source=vendorsec,repo...
: Security
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-05-22 06:00 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 19:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-05-22 06:00:59 EDT
If SCTP receives a badly formatted HB-ACK chunk, it is possible that we may
access invalid memory and potentially have a buffer overflow.

The upstream fix can be found here:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=dd2d1c6f2958d027e4591ca5d2a04dfe36ca6512
Comment 1 Marcel Holtmann 2006-05-22 06:06:55 EDT
This is the link for the real upstream fix:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=a601266e4f3c479790f373c2e3122a766d123652
Comment 6 Jason Baron 2006-06-19 16:27:30 EDT
committed in stream U4 build 39.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 8 Mike Gahagan 2006-07-14 16:40:32 EDT
Patch is in -42.EL.
Comment 10 Red Hat Bugzilla 2006-08-10 19:22:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.